API referenceEvents

Get an event

GET
/v2/events/{id}

Authorization

ApiKey
headerAuthorizationBearer <token>

An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).

Path Parameters

id*string

The event id (evt_…, or digits for a support event).

Header Parameters

Gauge-Version?string

A dated version. Default 2026-10-21.

Response Body

The event and the exact body delivered.

application/json
  1. response
id*string
type*string
conversationId*|
Formatuuid
createdAt*string
Formatdate-time
data*

The body that was (or would be) delivered.

Example Request
curl -X GET 'https://app.gauge.chat/api/v2/events/string'
Example Response
{  "id": "string",  "type": "string",  "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a",  "createdAt": "2019-08-24T14:15:22Z",  "data": {    "id": "string",    "event": "string",    "livemode": true,    "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",    "entity": "string",    "entityId": "string",    "occurredAt": "2019-08-24T14:15:22Z",    "payload": {      "property1": null,      "property2": null    }  }}